// CAMReminderDoc.h -- document class
// Created 10/26/96 4:26 PM by AppMaker

#pragma once

#include "NeoTypes.h"
#include CNeoDocNativeH

class	CAMReminderData;
class	CMainWindow;

//----------
class	CAMReminderDoc : public CNeoDocRoot {
public:
						CAMReminderDoc	(const Boolean	inPrintable,
										 const Boolean	inNewDatabase,
										 const Boolean	inRemote);
	virtual				~CAMReminderDoc();

	virtual void		newDatabase();

	virtual void		DoPrint();

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	virtual Boolean		DoAddReminder();
	virtual Boolean		DoEditReminder();
	virtual Boolean		DoDeleteReminder();
	virtual void		ObeyAdd		(void*	ioParam);

protected:
	virtual void		buildWindow();
	virtual void		NameNewDoc();

	protected:
		CAMReminderData		*mData;
		CMainWindow		*mMainWindow;
};
